Bug 1472950 - shutdown_wait option is not working for Tomcat
shutdown_wait option is not working for Tomcat
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tomcat (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Coty Sutherland
Jan Onderka
:
Depends On:
Blocks: 1477664 1557362 1557397
  Show dependency treegraph
 
Reported: 2017-07-19 12:18 EDT by Prageetika Sharma
Modified: 2018-05-01 18:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1557362 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prageetika Sharma 2017-07-19 12:18:25 EDT
Description of problem:
The shutdown wait option for Tomcat is not working for RHEL7 servers.

Version-Release number of selected component (if applicable):

tomcat-7.0.69-11.el7_3.noarch

How reproducible:


Steps to Reproduce:
1. Install the tomcat
2. Set SHUTDOWN_WAIT in /usr/share/tomcat/conf/tomcat.conf
##########################################
# Time to wait in seconds, before killing process
# TODO(stingray): does nothing, fix.
SHUTDOWN_WAIT="30"
SHUTDOWN_VERBOSE="true"
##########################################
3. Restart Tomcat

Actual results:

Tomcat shutdown immediately. 

Expected results:

Tomcat should wait for 30 sec before shutting down.

Additional info:
Comment 2 Coty Sutherland 2017-09-18 11:43:15 EDT
> # Time to wait in seconds, before killing process

The comment in the conf file is wrong...

First, SHUTDOWN_WAIT is the amount of time that the tomcat script waits AFTER it submits a shutdown before it kills the process. Second, this doesn't apply to systemd's service unit and that comment/variable should be removed from the configuration. You can use https://www.freedesktop.org/software/systemd/man/systemd.service.html#TimeoutStopSec= instead, which defaults to 90s instead of tomcat's previous SHUTDOWN_WAIT of 30s.
Comment 3 Coty Sutherland 2018-03-16 09:37:27 EDT
I can fix the comment in the conf file and maybe switch to using TimeoutStopSec (if that works the way I think it does).

Note You need to log in before you can comment on or make changes to this bug.